Loading...
Searching...
No Matches
Dune::MathematicalConstants< GMPField< precision > > Struct Template Reference

`#include <dune/common/gmpfield.hh>`

Inheritance diagram for Dune::MathematicalConstants< GMPField< precision > >:

## Public Types

using | T = GMPField<precision>

## Static Public Member Functions

static const T | e ()
static const T | pi ()
static const GMPField< precision > | e ()
| Euler's number.
static const GMPField< precision > | pi ()
| Archimedes' constant.

## Member Typedef Documentation

## T

template<unsigned int precision>

using Dune::MathematicalConstants< GMPField< precision > >::T = GMPField<precision>

## Member Function Documentation

## e() [1/2]

template<unsigned int precision>

const T Dune::MathematicalConstants< GMPField< precision > >::e | ( |  | ) |

inline static

## e() [2/2]

const GMPField< precision > Dune::StandardMathematicalConstants< GMPField< precision > >::e | ( |  | ) |

inline static

Euler's number.

## pi() [1/2]

template<unsigned int precision>

const T Dune::MathematicalConstants< GMPField< precision > >::pi | ( |  | ) |

inline static

## pi() [2/2]

const GMPField< precision > Dune::StandardMathematicalConstants< GMPField< precision > >::pi | ( |  | ) |

inline static

Archimedes' constant.

The documentation for this struct was generated from the following file:

- gmpfield.hh